Whenever you upgrade a plugin in WordPress or WordPress itself while running under IIS 7, you get an error. This usually happens as the process was unable to delete the folder for the plugin or such. This issue is related to WinCache plugin for PHP and latest version fixes the issue.

Install the latest one at: https://sourceforge.net/projects/wincache/files/development/

Happy blogging :)